Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 946968 (pcmanfm-qt) - Review Request: pcmanfm-qt - Qt port of the LXDE file manager PCManFM
Summary: Review Request: pcmanfm-qt - Qt port of the LXDE file manager PCManFM
Keywords:
Status: CLOSED NOTABUG
Alias: pcmanfm-qt
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eugene A. Pivnev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2013-04-01 05:26 UTC by Mamoru TASAKA
Modified: 2016-06-03 16:42 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-03 16:42:42 UTC
ti.eugene: fedora-review+


Attachments (Terms of Use)

Comment 1 Mamoru TASAKA 2013-04-01 13:23:13 UTC
http://mtasaka.fedorapeople.org/Review_request/pcmanfm-qt/pcmanfm-qt.spec
http://mtasaka.fedorapeople.org/Review_request/pcmanfm-qt/pcmanfm-qt-0.1.0-2.fc.src.rpm

* Mon Apr  1 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.1.0-2
- Call update-desktop-database
- Use make soversion specific in %%files

Comment 2 Eugene A. Pivnev 2013-04-07 10:15:06 UTC
1. Please - separate spec sections other then expressions inside them - e.g. with double CR. It's too hard to read spec now.
2. maybe to add -DCMAKE_BUILD_TYPE=Release to %cmake will be better (https://bugzilla.redhat.com/show_bug.cgi?id=919044#c22)

Comment 3 Mamoru TASAKA 2013-04-07 10:37:49 UTC
(In reply to comment #2)
> 1. Please - separate spec sections other then expressions inside them - e.g.
> with double CR. It's too hard to read spec now.

Well, even if I add one more new line between section, after
review passed I again cut such extra line...
(I agree that at least one line is needed between sections, but
 "two" lines are just redundant)

> 2. maybe to add -DCMAKE_BUILD_TYPE=Release to %cmake will be better
> (https://bugzilla.redhat.com/show_bug.cgi?id=919044#c22)
May consider afterwards.

I will wait for full reviews to see what are real blockers, thank you.

Comment 4 Eugene A. Pivnev 2013-04-07 10:45:48 UTC
Despite pcmanfm-qt is stil buggy now (working with remote FS like ssh/webdav) - _formally_ it can be packaged.
I get it on review

Comment 5 Kevin Kofler 2013-04-07 10:58:45 UTC
IMHO, the spacing between sections is fine as is, it's definitely not a review criterion. I'd remove the blank lines INSIDE the %prep, %install and %files sections though, then the blank lines between the sections become better demarcators. IMHO, the sections are not so large that they need cutting into chunks with blank lines. But again, the specfile is legible as is, so this is mostly a matter of personal taste.

Comment 6 Eugene A. Pivnev 2013-04-07 11:05:40 UTC
(In reply to comment #5)
> IMHO, the spacing between sections is fine as is, it's definitely not a
> review criterion. I'd remove the blank lines INSIDE the %prep, %install and
> %files sections though, then the blank lines between the sections become
> better demarcators. IMHO, the sections are not so large that they need
> cutting into chunks with blank lines. But again, the specfile is legible as
> is, so this is mostly a matter of personal taste.

I agree that spec format is not blocker for review.
But some kind of readability must be.
As for me - I separate sections with one CR and no one blank CR inside sections.

Comment 7 Eugene A. Pivnev 2013-04-07 11:07:05 UTC
Package Review
==============

===== MUST items =====
[+]: Package does not contain kernel modules.
[+]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
[+]: Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[+]: %build honors applicable compiler flags or justifies otherwise.
[+]: Package contains no bundled libraries without FPC exception.
[+]: Changelog in prescribed format.
[+]: Sources contain only permissible code or content.
[+]: Development files must be in a -devel package
[+]: Package requires other packages for directories it uses.
[+]: Package uses nothing in %doc for runtime.
[+]: Package is not known to require ExcludeArch.
[+]: Fully versioned dependency in subpackages, if present.
[+]: Package complies to the Packaging Guidelines
[+]: License field in the package spec file matches the actual license.
[+]: License file installed when any subpackage combination is installed.
[+]: Package consistently uses macro is (instead of hard-coded directory names).
[+]: Package is named according to the Package Naming Guidelines.
[+]: Package does not generate any conflict.
[+]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and Provides are present.
[+]: Package must own all directories that it creates.
[+]: Package does not own files or directories owned by other packages.
[+]: Requires correct, justified where necessary.
[+]: Spec file is legible and written in American English.
[+]: Package contains systemd file(s) if in need.
[+]: update-desktop-database is invoked when required
[+]: Useful -debuginfo package or justification otherwise.
[+]: Large documentation must go in a -doc subpackage.
[x]: All build dependencies are listed in BuildRequires, except for any that
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format  %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
===== SHOULD items =====
[+]: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]: Final provides and requires are sane (see attachments).
[+]: Package functions as described.
[+]: Latest version is packaged.
[+]: Package does not include license text files separate from upstream.
[+]: Scriptlets must be sane, if used.
[+]: Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[+]: Package should compile and build into binary rpms on all supported architectures.
[-]: %check is present and all tests pass.
[+]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.
===== EXTRA items =====
[x]: Large data in /usr/share should live in a noarch subpackage if package is arched.
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: pcmanfm-qt-0.1.0-2.fc17.i686.rpm
          libfm-qt-0.1.0-2.fc17.i686.rpm
          libfm-qt-devel-0.1.0-2.fc17.i686.rpm
pcmanfm-qt.i686: W: no-manual-page-for-binary pcmanfm-qt
libfm-qt-devel.i686: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint libfm-qt libfm-qt-devel pcmanfm-qt
libfm-qt.i686: W: unused-direct-shlib-dependency /usr/lib/libfm-qt.so.0.0.0 /lib/libgthread-2.0.so.0
libfm-qt.i686: W: unused-direct-shlib-dependency /usr/lib/libfm-qt.so.0.0.0 /lib/librt.so.1
libfm-qt.i686: W: unused-direct-shlib-dependency /usr/lib/libfm-qt.so.0.0.0 /lib/libX11.so.6
libfm-qt.i686: W: unused-direct-shlib-dependency /usr/lib/libfm-qt.so.0.0.0 /lib/libm.so.6
libfm-qt-devel.i686: W: no-documentation
pcmanfm-qt.i686: W: no-manual-page-for-binary pcmanfm-qt
3 packages and 0 specfiles checked; 0 errors, 6 warnings.

Rpmlint (sources)
-----------------
rpmlint pcmanfm-qt.spec pcmanfm-qt-0.1.0-2.fc.src.rpm
pcmanfm-qt.spec:72: W: non-break-space line 72, char 39
pcmanfm-qt.spec:75: W: non-break-space line 75, char 39


MD5-sum check
-------------
http://downloads.sourceforge.net/pcmanfm/pcmanfm-qt-0.1.0-Source.tar.bz2 :
  CHECKSUM(SHA256) this package     : 2a738a0b48d2fb148978fa8b80e3426ab121c9b5ee5b04a894fd8f73d9b4567e
  CHECKSUM(SHA256) upstream package : 2a738a0b48d2fb148978fa8b80e3426ab121c9b5ee5b04a894fd8f73d9b4567e

= Resume =
It is my first review.
Approved?

Comment 8 Eugene A. Pivnev 2013-04-07 11:23:52 UTC
Silence...

Ok - Approved.

But - tune spec before bodhi:
* resolve "-DCMAKE_BUILD_TYPE=release" question
* non-break-space line 72, char 39, non-break-space line 75, char 39

Comment 9 Mamoru TASAKA 2013-04-08 08:28:41 UTC
Okay, thank you.
I will upload new srpm anyway.

Comment 10 Mamoru TASAKA 2013-04-08 14:50:14 UTC
http://mtasaka.fedorapeople.org/Review_request/pcmanfm-qt/pcmanfm-qt.spec
http://mtasaka.fedorapeople.org/Review_request/pcmanfm-qt/pcmanfm-qt-0.1.0-3.fc.src.rpm

* Mon Apr  8 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.1.0-3
- Use -DCMAKE_BUILD_TYPE=Release option for cmake

non-break-space rpmlint issue also fixed.

By the way, would you
- change the status to ASSIGNED
- change the assignee to yourself
- and change fedora-review flag ?
Thank you.

Comment 11 Kevin Kofler 2013-04-08 16:01:11 UTC
Have you checked that this doesn't end up adding -O3 to the build flags? And if not, does it even have any effect at all? (By default, it defines NDEBUG, some projects also add QT_NO_DEBUG.)

Comment 12 Mamoru TASAKA 2013-04-09 00:12:19 UTC
(In reply to comment #11)
> Have you checked that this doesn't end up adding -O3 to the build flags? And
> if not, does it even have any effect at all? (By default, it defines NDEBUG,
> some projects also add QT_NO_DEBUG.)

See some dirty hack after %cmake macro (well, perhaps adding extra -Dfoo=bar to %cmake would perhaps be enough, however for me this way is more explicit and easy to understand)

Comment 13 Mamoru TASAKA 2013-04-09 00:25:31 UTC
By the way -O3 issue seems to be already in discussion on bug 875954 .

Comment 14 Kevin Kofler 2013-04-09 07:42:42 UTC
I have to disagree, passing -D flags to CMake is much cleaner than postprocessing CMake output (yuck!).

Comment 15 Mamoru TASAKA 2013-04-09 09:22:38 UTC
(In reply to comment #14)
> I have to disagree, passing -D flags to CMake is much cleaner than
> postprocessing CMake output (yuck!).

I want to change "-O3" to "-O2" only, not anything else on CMAKE_CXX_FLAGS_RELEASE. Specifying CMAKE_CXX_FLAGS_RELEASE as a whole means that we may blindly change other flags than -O3 in CMAKE_CXX_FLAGS_RELEASE, which is not desirable.
Anyway I think this is left to package, just making -O3 unused is enough and which way to use is not a blocker.

Eugene, if this is okay, would you change this bug appropriately?

Comment 16 Mamoru TASAKA 2013-04-09 09:24:21 UTC
Kevin, if you have some way like -DCMAKE_CXX_FLAGS_RELEASE:STRING=<default value | sed -e 's|-O3||'>, I may consider to use it.

Comment 17 Mamoru TASAKA 2013-04-10 04:29:44 UTC
So as I see that fedora-review flag was set to + by the reviewer, I will arrange the left properly...

Comment 18 Mamoru TASAKA 2013-04-10 04:36:42 UTC
As this package was approved by comment 8 and fedora-review flag:

New Package SCM Request
=======================
Package Name: pcmanfm-qt
Short Description: Qt port of the LXDE file manager PCManFM
Owners: mtasaka
Branches: f17 f18 f19
InitialCC:

Comment 19 Eugene A. Pivnev 2013-04-10 08:40:48 UTC
(In reply to comment #17)
> So as I see that fedora-review flag was set to + by the reviewer, I will
> arrange the left properly...

Don't forget that pcmanfm-qt is still too buggy (working with gvfs).
And has no feedback (issue/bug tracker).

Comment 20 Mamoru TASAKA 2013-04-10 09:03:15 UTC
Yes, pcmanfm-qt is still under development and I will keep an eye on the upstream development.

Comment 21 Gwyn Ciesla 2013-04-10 10:43:46 UTC
Git done (by process-git-requests).

Comment 22 Mamoru TASAKA 2013-04-11 03:53:25 UTC
Successfully built, push requested on bodhi for F-19/18/17.

Closing. Thank you for review and git procedure.

Comment 23 Gwyn Ciesla 2013-04-11 11:33:56 UTC
Unsetting flag.

Comment 24 Ngo Than 2016-06-01 12:24:50 UTC
we need this packagw in epel7

New Package SCM Request
=======================
Package Name: pcmanfm-qt
Short Description: Qt port of the LXDE file manager PCManFM
Branches: epel7
InitialCC:

Comment 25 Gwyn Ciesla 2016-06-03 16:42:42 UTC
See new process:

https://fedoraproject.org/wiki/PackageDB_admin_requests


Note You need to log in before you can comment on or make changes to this bug.